
ServerEvents.recipes((event) => {
    //Inputs
        let Dirt = 'minecraft:dirt'
        let SoulSand = 'minecraft:soul_sand'
        let RedSand = 'minecraft:red_sand'
        let Gravel = 'minecraft:gravel'
        let Sand = 'minecraft:sand'
        let Dust = 'exdeorum:dust'
        let Netherrack = 'exdeorum:crushed_netherrack'
        let EndStone = 'exdeorum:crushed_end_stone'
        let Deepslate = 'exdeorum:crushed_deepslate'
        let Blackstone = 'exdeorum:crushed_blackstone'
        let SplinteredWood = 'skyblockutilities:splintered_wood'

        let StringMesh = 'exdeorum:string_mesh'
        let FlintMesh = 'exdeorum:flint_mesh'
        let IronMesh = 'exdeorum:iron_mesh'
        let GoldMesh = 'exdeorum:golden_mesh'
        let DiamondMesh = 'exdeorum:diamond_mesh'
        let NetheriteMesh = 'exdeorum:netherite_mesh'

    let addCompost = (input, amount) => {
        event.custom(
            {
                type: 'exdeorum:barrel_compost',
                ingredient: [
                    {
                        item: input
                    }
                ],
                volume: amount
            }
        )
    }
	
	let addBarrelMixing = (fluid, input, output) => {
        event.custom(
            {
                type: 'exdeorum:barrel_mixing',
                fluid: fluid,
                fluid_amount: 1000,
                ingredient: {
                    item: input
                },
                result: output
            }
        )
    }
	
	let addBarrelFluidMixing = (base, input, consume, output) => {
        event.custom(
            {
                type: 'exdeorum:barrel_fluid_mixing',
                additive_fluid: input,
                base_fluid: base,
                base_fluid_amount: 1000,
                consumes_additive: consume,
                result: output
            }
        )
    }
		
//barrel mixing
addBarrelMixing('minecraft:water', 'minecraft:cobblestone', 'blue_skies:turquoise_cobblestone')
addBarrelMixing('minecraft:lava', 'minecraft:cobblestone', 'blue_skies:lunar_cobblestone')

//oil
addBarrelMixing('minecraft:lava', 'ae2:sky_stone_block', 'ad_astra:oil_bucket')

//sculk
addBarrelMixing('exdeorum:witch_water', 'minecraft:deepslate_tiles', 'minecraft:sculk')

//add barrel composting
addCompost("progressionutils:dead_root", 250)
})